Method: advertisers.manualTriggers.create

  • A new manual trigger is created using a POST request to the specified endpoint.

  • The request requires the advertiser's unique ID as a path parameter.

  • The request body should contain a ManualTrigger instance.

  • A successful response will return the newly created ManualTrigger instance.

  • The request needs the https://www.googleapis.com/auth/display-video authorization scope.

Creates a new manual trigger. Returns the newly created manual trigger if successful.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{manualTrigger.advertiserId}/manualTriggers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
manualTrigger.advertiserId

string (int64 format)

Required. Immutable. The unique ID of the advertiser that the manual trigger belongs to.

Request body

The request body contains an instance of ManualTrigger.

Response body

If successful, the response body contains a newly created instance of ManualTrigger.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.